### Class

# FwupdPlugin IOChannel

#### Description [src]

    final class FwupdPlugin.IOChannel : GObject.Object {
      /* No available fields */
    }

A bidirectional IO channel which can be read from and written to.

#### Ancestors

- GObject

#### Constructors

###### fu_io_channel_new_file

Creates a new object to write and/or read from.

Available since: 2.0.0

###### fu_io_channel_unix_new

Creates a new object to write and read from.

Available since: 1.2.2

###### fu_io_channel_virtual_new

Creates a new virtual object to write and/or read from.

Available since: 2.0.0

#### Functions

###### fu_io_channel_open_flags_to_string

Converts an enumerated value to a string.

#### Instance methods

###### fu_io_channel_read_byte_array

Reads bytes from the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.3.2

###### fu_io_channel_read_bytes

Reads bytes from the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.2.2

###### fu_io_channel_read_raw

Reads bytes from the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.2.2

###### fu_io_channel_seek

Seeks the file descriptor to a specific offset.

Available since: 2.0.0

###### fu_io_channel_shutdown

Closes the file descriptor for the device if open.

Available since: 1.2.2

###### fu_io_channel_unix_get_fd

Gets the file descriptor for the device.

Available since: 1.2.2

###### fu_io_channel_write_byte_array

Writes bytes to the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.3.2

###### fu_io_channel_write_bytes

Writes bytes to the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.2.2

###### fu_io_channel_write_raw

Writes bytes to the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.2.2

###### fu_io_channel_write_stream

Writes the stream to the fd, chucking when required.

Available since: 2.0.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginIOChannelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.